%define upstream_name	 Authen-Radius
%define upstream_version 0.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Radius authentication interface to Perl 5	
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper) >= 1.0.0
BuildRequires: perl(Data::HexDump) >= 0.20.0
BuildRequires: perl(Digest::MD5) >= 2.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(IO) >= 1.120.0
BuildRequires: perl(Net::IP) >= 1.260.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildArch:  noarch

%description
RadiusPerl is a Perl 5 module (Radius.pm) which allows you to 
communicate with a Radius server from Perl. You can just authenticate 
usernames/passwords via Radius, or completely imitate AAA requests 
and process server response.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# (sb) can't really do this - need a Radius server
#make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Authen


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.320.0-2.mga9
+ Revision: 1813464
- Mageia 9 Mass Rebuild

* Tue Oct 20 2020 tv <tv> 0.320.0-1.mga8
+ Revision: 1637197
- update to 0.32

* Sat Feb 15 2020 umeabot <umeabot> 0.310.0-2.mga8
+ Revision: 1526671
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.310.0-1.mga8
+ Revision: 1415440
- update to 0.31

* Fri Nov 30 2018 tv <tv> 0.290.0-1.mga7
+ Revision: 1336965
- update to 0.29

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-2.mga7
+ Revision: 1281808
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.270.0-1.mga7
+ Revision: 1253912
- update to 0.27

* Mon Oct 02 2017 tv <tv> 0.260.0-2.mga7
+ Revision: 1163144
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.260.0-1.mga7
+ Revision: 1156359
- new version 0.26

* Sat Jun 18 2016 pterjan <pterjan> 0.240.0-5.mga6
+ Revision: 1022670
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.240.0-4.mga6
+ Revision: 934817
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 746055
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.240.0-2.mga5
+ Revision: 683573
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 585306
- update to 0.24

* Sat Oct 19 2013 umeabot <umeabot> 0.230.0-2.mga4
+ Revision: 532355
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 0.230.0-1.mga4
+ Revision: 467974
- update to 0.23

* Tue Jun 04 2013 jquelin <jquelin> 0.220.0-2.mga4
+ Revision: 437085
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 363242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 26187
- no meta.yml
- mageia rebuild
- imported package perl-Authen-Radius


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2011.0
+ Revision: 597209
- update to 0.20

* Fri Jan 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 491729
- update to 0.17

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.1
+ Revision: 460719
- update to 0.15

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2010.0
+ Revision: 418413
- update to 0.14

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.13-3mdv2009.1
+ Revision: 351673
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.13-2mdv2009.0
+ Revision: 223566
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 0.13-1mdv2008.1
+ Revision: 166033
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.13-1mdv2008.0
+ Revision: 19249
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-3mdv2007.0
+ Revision: 73308
- import perl-Authen-Radius-0.12-3mdk

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-3mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Mon Feb 06 2006 Stew Benedict <sbenedict@mandriva.com> 0.12-2mdk
- annual rebuild

* Fri Jan 07 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.12-1mdk
- 0.12

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.09-1mdk
- first Mandrake release, optional feature for nocatauth

